Skip to main content
GET
/
agent_sessions:detectConflicts
Detect agent work conflicts
curl --request GET \
  --url https://api.akua.dev/v1/agent_sessions:detectConflicts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "agent_id": "<string>",
      "session_id": "<string>",
      "turn_id": "<string>",
      "event_id": "<string>",
      "reason": "<string>",
      "created_at": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Query Parameters

resource
enum<string>
required
Available options:
repository,
install,
cluster,
repository_change_request
id
string
required
Required string length: 1 - 120
exclude_session
string
Required string length: 1 - 54
limit
integer
default:20
Required range: 1 <= x <= 50

Response

Agent work conflicts

data
object[]
required